質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.61%

localhostでDjangoのアプリにアクセスしたい。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,094

前提・実現したいこと

『Python Django 3』という書籍を参考に、初めてアプリ開発をしております。
とりあえず、localhostにアクセスし、自分がつくっているのが反映されているかちょくちょく確認していました。

発生している問題・エラーメッセージ

ですが、途中から急にlocalhostに接続拒否されるようになってしまいました。

申し訳ございません。このページに到達できませんlocalhost により、接続が拒否されました。
Web で "localhost" を検索する
ERR_CONNECTION_REFUSED


該当のソースコードはありません、コード自体へのエラーは今のところ発生しておりません。

試したこと

作ってたアプリケーションの問題かと思い、アプリは丸ごと一回消して、最初からやり直してみました。ですが、初めに作ったのと違って、いわゆるロケットのサンプルページはでなくなってしまいました。
ネットで「localhost 接続拒否」で調べてみましたが、同条件の人が見つけられなかったため、こちらに質問しているといった状況です。

追記
>python manage.py runserverを試した結果は以下の通りです。

PS C:\Users\user\Desktop\django_app> python manage.py runserver
Watching for file changes with StatReloader
Performing system checks...

Exception in thread django-main-thread:
Traceback (most recent call last):
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\threading.py", line 950, in _bootstrap_inner
    self.run()
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\threading.py", line 888, in run
    self._target(*self._args, **self._kwargs)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\utils\autoreload.py", line 53, in wrapper
    fn(*args, **kwargs)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\management\commands\runserver.py", line 118, in inner_run
    self.check(display_num_errors=True)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\management\base.py", line 392, in check
    all_issues = checks.run_checks(
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\registry.py", line 70, in run_checks
    new_errors = check(app_configs=app_configs, databases=databases)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\urls.py", line 13, in check_url_config
    return check_resolver(resolver)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\urls.py", line 23, in check_resolver
    return check_method()
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 408, in check
    for pattern in self.url_patterns:
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\utils\functional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 589, in url_patterns
    patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\utils\functional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 582, in urlconf_module
    return import_module(self.urlconf_name)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "C:\Users\user\Desktop\django_app\django_app\urls.py", line 21, in <module>
    path('hello/',include('hello.urls')),
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\conf.py", line 34, in include
    urlconf_module = import_module(urlconf_module)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\importlib\__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "C:\Users\user\Desktop\django_app\hello\urls.py", line 5, in <module>
    path(' ', views.index, name='index'),
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\conf.py", line 70, in _path
    pattern = Pattern(route, name=name, is_endpoint=True)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 255, in __init__
    self.converters = _route_to_regex(str(route), is_endpoint)[1]
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 212, in _route_to_regex
    raise ImproperlyConfigured("URL route '%s' cannot contain whitespace." % route)
django.core.exceptions.ImproperlyConfigured: URL route ' ' cannot contain whitespace.


現象発生時のブラウザのスクショはこんな感じです。
![イメージ説明]![イメージ説明]

追追記
sukekeke0さんからいただいた

pathの第1引数のスペースを消したら直りませんか?

といただいたので、直してみました。
もう一度python manage.py runserverを実行したところ

PS C:\Users\user\Desktop\django_app> python manage.py runserver
Watching for file changes with StatReloader
Performing system checks...

Exception in thread django-main-thread:
Traceback (most recent call last):
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 591, in url_patterns
    iter(patterns)
TypeError: 'module' object is not iterable

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\threading.py", line 950, in _bootstrap_inner
    self.run()
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\threading.py", line 888, in run 
    self._target(*self._args, **self._kwargs)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\utils\autoreload.py", line 53, in wrapper
    fn(*args, **kwargs)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\management\commands\runserver.py", line 118, in inner_run
    self.check(display_num_errors=True)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\management\base.py", line 392, in check
    all_issues = checks.run_checks(
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\registry.py", line 70, in run_checks
    new_errors = check(app_configs=app_configs, databases=databases)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\urls.py", line 13, in check_url_config
    return check_resolver(resolver)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\urls.py", line 23, in check_resolver
    return check_method()
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvers.py", line 409, in check
    messages.extend(check_resolver(pattern))
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\core\checks\urls.py", line 23, in check_resolver
    return check_method()
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvvers.py", line 408, in check
    for pattern in self.url_patterns:
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\utils\functtional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "C:\Users\user\AppData\Local\Programs\Python\Python39\lib\site-packages\django\urls\resolvvers.py", line 598, in url_patterns
    raise ImproperlyConfigured(msg.format(name=self.urlconf_name)) from e
django.core.exceptions.ImproperlyConfigured: The included URLconf '<module 'hello.urls' from 'C:\\\Users\\user\\Desktop\\django_app\\hello\\urls.py'>' does not appear to have any patterns in it . If you see valid patterns in the file then the issue is probably caused by a circular import.  


と、、今度はFile "C:\Users\user\Desktop\django_app\hello\urls.py"から始まるエラーがないのでエラーがなんなのかわかりません。(ちなみにいまだにlocalhostではアクセスできませんでした。)

補足情報(FW/ツールのバージョンなど)

・実行したOS Windows10
・使用したブラウザ Microsoft Edge →調べたらEdgeだとエラーが出る場合があるのでChromeも試してみましたがダメでした
・Version python3.9.0 django3.1.2
・実行したコマンド python manage.py runserver

追記
コマンドプロンプトでnetstat -anp tcp|findstr -i 8000を実行した結果 
イメージ説明
なにも出てきませんでした。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • sukekeke0

    2020/11/04 23:20

    まずは下記のような情報を追記すると良いかと思います。
    ・実行したOS(Windowsなのか、Macなのか、Linuxなのか)
    ・使用したブラウザ
    ・Python, DjangoのVersion
    ・実行したコマンド ( 例えば、python manage.py runserver 0.:8080とか)

    症状がERR_CONNECTION_REFUSEDですので、まずはnetstatコマンド等を使ってDjangoのアプリのポートの待ち受け状態を確認すると良いかも?と思いました。

    キャンセル

  • akutoukuroneko

    2020/11/10 11:56 編集

    返信遅れてすみません、ありがとうございます!
    ・実行したOS Windows10
    ・使用したブラウザ Microsoft Edge →調べたらEdgeだとエラーが出る場合があるのでChromeも試してみましたがダメでした
    ・Version python3.9.0 django3.1.2
    ・実行したコマンド python manage.py runserver
    です。

    ちなみにnetstatを初めてやったのですが、どれがDjangoアプリのなのかわかりません。

    キャンセル

  • sukekeke0

    2020/11/11 22:56

    いまも未解決であれば、もう少し情報が欲しいので以下を質問に追記(ここのリプライではなく)をいただけますか?

    (1) 回答いただいた実行OSやversion等の情報

    (2)
    > python manage.py runserver
    ↑を実行してからブラウザで接続を試みた時の端末の表示内容のコピペ(変に切り取ったりせず全てコピペする)

    (3) 現象発生時のブラウザのスクショ(アドレスバー含む)

    (4) コマンドプロンプト or PowerShellで下記を実行した結果(8000番ポートの待ち受け状態を確認します)  
    netstat -anp tcp|findstr -i 8000

    キャンセル

  • akutoukuroneko

    2020/11/13 18:53

    追記してみました。
    また不足情報ありましたら教えてください。

    キャンセル

回答 1

checkベストアンサー

+1

該当のソースコードはありません、コード自体へのエラーは今のところ発生しておりません。

と、ありますが、"python manage.py runserver"でエラーが発生してますね。
下記のエラーが答えに見えるのですがどうでしょうか?

PS C:\Users\user\Desktop\django_app> python manage.py runserver
...
  File "C:\Users\user\Desktop\django_app\hello\urls.py", line 5, in <module>
    path(' ', views.index, name='index'),
...
django.core.exceptions.ImproperlyConfigured: URL route ' ' cannot contain whitespace

pathの第1引数のスペースを消したら直りませんか?

path('', views.index, name='index'),

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/11/14 21:49

    ありがとうございます、確かにいわれてみるとそこがエラー部分だったんですね。
    しかし、今度はFile "C:\Users\user\Desktop\django_app\hello\urls.py"から始まるエラーがなく、またどうしようかといったところです。
    今回の結果も「試したこと」に追記しますので、確認よろしくお願いします。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.61%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る